OpenNMS API 1.2.9

## org.opennms.web.event
Class EventUtil

    java.lang.Object
      org.opennms.web.event.EventUtil

public abstract class EventUtil
extends java.lang.Object

Field Summary
`protected static java.util.HashMap` `ackTypes`
`static java.lang.String` `ANY_RELATIVE_TIMES_OPTION`
`static java.lang.String` `ANY_SERVICES_OPTION`
`static java.lang.String` `ANY_SEVERITIES_OPTION`
`protected static java.util.HashMap` `colors`
`protected static java.util.HashMap` `labels`
`static int` `LAST_DAY_RELATIVE_TIME`
`static int` `LAST_EIGHT_HOURS_RELATIVE_TIME`
`static int` `LAST_FOUR_HOURS_RELATIVE_TIME`
`static int` `LAST_HOUR_RELATIVE_TIME`
`static int` `LAST_MONTH_RELATIVE_TIME`
`static int` `LAST_TWELVE_HOURS_RELATIVE_TIME`
`static int` `LAST_WEEK_RELATIVE_TIME`
`protected static java.util.List` `severities`
`protected static java.util.HashMap` `sortStyles`

Constructor Summary
`EventUtil()`

Method Summary
`static EventFactory.AcknowledgeType` `getAcknowledgeType(java.lang.String ackTypeString)`
`static java.lang.String` `getAcknowledgeTypeString(EventFactory.AcknowledgeType ackType)`
`static Filter` `getFilter(java.lang.String filterString)`
`static java.lang.String` `getFilterString(Filter filter)`
`static Filter` `getRelativeTimeFilter(int relativeTime)`
`static java.lang.String` `getSeverityColor(int severity)`
`static int` `getSeverityId(int index)`
`static java.lang.String` `getSeverityLabel(int severity)`
`static java.util.List` `getSeverityList()`
`static EventFactory.SortStyle` `getSortStyle(java.lang.String sortStyleString)`
`static java.lang.String` `getSortStyleString(EventFactory.SortStyle sortStyle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colors

    protected static final java.util.HashMap colors

### labels

    protected static final java.util.HashMap labels

### sortStyles

    protected static final java.util.HashMap sortStyles

### ackTypes

    protected static final java.util.HashMap ackTypes

### severities

    protected static final java.util.List severities

### ANY_SERVICES_OPTION

    public static final java.lang.String ANY_SERVICES_OPTION

See Also:
  Constant Field Values

### ANY_SEVERITIES_OPTION

    public static final java.lang.String ANY_SEVERITIES_OPTION

See Also:
  Constant Field Values

### ANY_RELATIVE_TIMES_OPTION

    public static final java.lang.String ANY_RELATIVE_TIMES_OPTION

See Also:
  Constant Field Values

### LAST_HOUR_RELATIVE_TIME

    public static final int LAST_HOUR_RELATIVE_TIME

See Also:
  Constant Field Values

### LAST_FOUR_HOURS_RELATIVE_TIME

    public static final int LAST_FOUR_HOURS_RELATIVE_TIME

See Also:
  Constant Field Values

### LAST_EIGHT_HOURS_RELATIVE_TIME

    public static final int LAST_EIGHT_HOURS_RELATIVE_TIME

See Also:
  Constant Field Values

### LAST_TWELVE_HOURS_RELATIVE_TIME

    public static final int LAST_TWELVE_HOURS_RELATIVE_TIME

See Also:
  Constant Field Values

### LAST_DAY_RELATIVE_TIME

    public static final int LAST_DAY_RELATIVE_TIME

See Also:
  Constant Field Values

### LAST_WEEK_RELATIVE_TIME

    public static final int LAST_WEEK_RELATIVE_TIME

See Also:
  Constant Field Values

### LAST_MONTH_RELATIVE_TIME

    public static final int LAST_MONTH_RELATIVE_TIME

See Also:
  Constant Field Values

Constructor Detail

### EventUtil

    public EventUtil()

Method Detail

### getSeverityList

    public static java.util.List getSeverityList()

### getSeverityId

    public static int getSeverityId(int index)

### getSeverityColor

    public static java.lang.String getSeverityColor(int severity)

### getSeverityLabel

    public static java.lang.String getSeverityLabel(int severity)

### getSortStyle

    public static EventFactory.SortStyle getSortStyle(java.lang.String sortStyleString)

### getSortStyleString

    public static java.lang.String getSortStyleString(EventFactory.SortStyle sortStyle)

### getAcknowledgeType

    public static EventFactory.AcknowledgeType getAcknowledgeType(java.lang.String ackTypeString)

### getAcknowledgeTypeString

    public static java.lang.String getAcknowledgeTypeString(EventFactory.AcknowledgeType ackType)

### getFilter

    public static Filter getFilter(java.lang.String filterString)

### getFilterString

    public static java.lang.String getFilterString(Filter filter)

### getRelativeTimeFilter

    public static Filter getRelativeTimeFilter(int relativeTime)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.